Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.benchmark.core.statistic
Class AbstractProblemStatistic

    java.lang.Object
      org.drools.planner.benchmark.core.statistic.AbstractProblemStatistic

All Implemented Interfaces:
  ProblemStatistic

Direct Known Subclasses:
  BestScoreStatistic, CalculateCountStatistic, MemoryUseStatistic

    public abstract class AbstractProblemStatistic

extends Object
implements ProblemStatistic

Nested Class Summary
`protected static class` | `AbstractProblemStatistic.AbstractProblemStatisticScvLine`

Field Summary
`protected ProblemStatisticType` | `problemStatisticType`

Constructor Summary
`protected` | `AbstractProblemStatistic(ProblemStatisticType problemStatisticType)`

Method Summary
`protected abstract CharSequence` | `writeCsvStatistic(File statisticDirectory, String baseName)`
`protected abstract CharSequence` | `writeGraphStatistic(File statisticDirectory, String baseName)`
`CharSequence` | `writeStatistic(File statisticDirectory, String baseName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.benchmark.core.statistic.ProblemStatistic
`addListener, removeListener`

Field Detail

### problemStatisticType

    protected ProblemStatisticType problemStatisticType

Constructor Detail

### AbstractProblemStatistic

    protected AbstractProblemStatistic(ProblemStatisticType problemStatisticType)

Method Detail

### writeStatistic

    public CharSequence writeStatistic(File statisticDirectory,
                                       String baseName)

  Specified by:
    `writeStatistic` in interface `ProblemStatistic`
  Parameters:
    `statisticDirectory` - never null
    `baseName` - never null
  Returns:
    a htmFragment, never null

### writeCsvStatistic

    protected abstract CharSequence writeCsvStatistic(File statisticDirectory,
                                                      String baseName)

### writeGraphStatistic

    protected abstract CharSequence writeGraphStatistic(File statisticDirectory,
                                                        String baseName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.